#
#
# $Id: iwebadmin.spec.in,v 1.51 2021-09-05 11:10:49+05:30 Cprogrammer Exp mbhangui $
%undefine _missing_build_ids_terminate_build
%define _unpackaged_files_terminate_build 1

%if %{defined _project}
# define if building on openSUSE build service
%define build_on_obs       1
%global build_cflags       "-DOBS_BUILD %{build_cflags}"
%else
%define _project           local
%define build_on_obs       0
%global _hardened_build    1
%endif
%if 0%{?suse_version}
%global noperms            1
%else
%global noperms            0
%endif

%if %{defined nodebug}
%global debug_package %{nil}
%endif
%if %build_on_obs == 1
%global packager Manvendra Bhangui <iwebadmin@indimail.org>
%endif

%define _prefix            /usr
%global mandir             /usr/share/man
%define sysconfdir         /etc/indimail
%define see_base           For a description of IndiMail visit http://www.indimail.org

Summary: Web Administration GUI for IndiMail User Administration
Name: iwebadmin
Version: 2.1.0
Release: 1.1%{?dist}

%if %build_on_obs == 1
License: GPL-3.0+
%else
License: GPLv3
%endif
Group: System Environment/Base
Source0: http://downloads.sourceforge.net/indimail/%{name}-%{version}.tar.gz
Source1: http://downloads.sourceforge.net/indimail/%{name}-rpmlintrc
%if %noperms == 0
%if 0%{?suse_version} >= 1120
Source2: http://downloads.sourceforge.net/indimail/%{name}-permissions.easy
Source3: http://downloads.sourceforge.net/indimail/%{name}-permissions.secure
Source4: http://downloads.sourceforge.net/indimail/%{name}-permissions.paranoid
%endif
%endif

URL: http://www.indimail.org
AutoReq: Yes
BuildRequires: rpm gcc make coreutils grep
BuildRequires: glibc glibc-devel procps cpio
BuildRequires: sed gettext-devel
BuildRequires: findutils libqmail-devel libqmail
BuildRequires: gzip autoconf automake libtool indimail-devel
%if %noperms == 0
%if 0%{?suse_version} >= 1120
PreReq: permissions
%endif
%endif

################################# OBS ###############################
%if 0%{?suse_version}
BuildRequires: -post-build-checks  
#!BuildIgnore: post-build-checks  
%endif
################################# OBS ###############################

Requires: coreutils grep /bin/sh glibc /usr/sbin/useradd /usr/sbin/groupadd
Requires: procps /usr/bin/awk indimail > 1.6
Requires: ezmlm-idx > 7.2
%if %build_on_obs == 1
BuildRoot: %{_tmppath}/%{name}-%{version}-build
%endif
Excludeos: windows 

%description
iwebadmin provides a Web front-end for administering IndiMail Users

%{see_base}

%prep
%setup -q

%build
(
echo "---------------- INFORMATION ------------------------"
echo target         %_target
echo target_alias   %_target_alias
echo target_cpu     %_target_cpu
echo target_os      %_target_os
echo target_vendor  %_target_vendor
echo Project        %{_project}
echo HTML Dir       /var/www/html
echo CGI Bin Dir    /var/www/cgi-bin
echo Image Dir      /var/www/html/images/iwebadmin
echo HTML libdir    /usr/share/iwebadmin
echo Build          %{name}-%{version}-%{release} Build %{_build} OS %{_os}
echo "------------------------------------------------------"
) > %{name}-rpm.info

%configure --prefix=%{_prefix} \
  --sysconfdir=%{sysconfdir} \
  --libdir=%{_libdir} \
  --disable-ipauth \
  --disable-trivial-password \
  --enable-ezmlmdir=%{_prefix}/bin \
  --enable-domain-autofill \
  --enable-modify-quota \
  --enable-htmldir=/var/www/html \
  --enable-cgibindir=/var/www/cgi-bin \
  --enable-imagedir=/var/www/html/images/iwebadmin \
  --enable-htmllibdir=/usr/share/iwebadmin

%install
[ "$RPM_BUILD_ROOT" != "/" ] && /bin/rm -fr $RPM_BUILD_ROOT
%{__make} -s %{?_smp_mflags}
%if %{defined nodebug}
%{__make} -s %{?_smp_mflags} DESTDIR=%{buildroot} install-strip
%else
%{__make} -s %{?_smp_mflags} DESTDIR=%{buildroot} install
%endif

%if %noperms == 0
%if 0%{?suse_version} >= 1120
%{__mkdir_p} %{buildroot}%{_sysconfdir}/permissions.d/
install -m 644 %{S:2} %{buildroot}%{_sysconfdir}/permissions.d/%{name}-permissions
install -m 644 %{S:3} %{buildroot}%{_sysconfdir}/permissions.d/%{name}-permissions.secure
%endif
%endif
%{__mkdir_p} %{buildroot}%{sysconfdir}
install -m 0644 %{name}-rpm.info %{buildroot}%{sysconfdir}/%{name}-rpm.info

%if %{undefined nodebug}
  /bin/chmod -R 755 %{buildroot}/var/www/cgi-bin
%endif
find %{buildroot}%{mandir} -type f -exec gzip -q {} \;

%files
%defattr(-,root,root,-)
%if "%{_prefix}" != "/usr"
%dir %attr(755,root,qmail)               %{_prefix}
%endif

%attr(644,root,root) %config(noreplace)  %{sysconfdir}/%{name}-release
%attr(644,root,root) %config(noreplace)  %{sysconfdir}/%{name}-rpm.info
%attr(644,root,root) %config(noreplace)  %{sysconfdir}/%{name}-conf
%attr(644,root,root) %config(noreplace)  %{sysconfdir}/%{name}-hooks
%attr(644,root,root) %config(noreplace)  %{sysconfdir}/%{name}.perms

%if %noperms == 0
%if 0%{?suse_version} >= 1120
%attr(644,root,root)                     %{_sysconfdir}/permissions.d/%{name}-permissions
%attr(644,root,root)                     %{_sysconfdir}/permissions.d/%{name}-permissions.secure
%endif
%endif

%attr(644,root,root)                     %{mandir}/man1/*
%dir %attr(755,root,qmail)               /usr/share/iwebadmin
%dir %attr(755,root,qmail)               /usr/share/iwebadmin/html
%dir %attr(755,root,qmail)               /usr/share/iwebadmin/lang

# binary
%attr(6555,root,indimail)                /var/www/cgi-bin/iwebadmin

#html
%attr(444,root,root)                     /usr/share/iwebadmin/html/add_autorespond.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/add_forward.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/add_listdig.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/add_listmod.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/add_listuser.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/add_mailinglist-idx.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/add_mailinglist-no-idx.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/add_user.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/change_password.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/change_password_success.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/colortable
%attr(444,root,root)                     /usr/share/iwebadmin/html/del_autorespond_confirm.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/del_forward_confirm.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/del_listdig.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/del_listmod.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/del_listuser.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/del_mailinglist_confirm.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/del_user_confirm.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/footer.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/header.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/main_menu.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/mod_autorespond.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/mod_dotqmail.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/mod_mailinglist-idx.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/mod_user.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/setremotecatchall.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/show_autorespond.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/show_digest_subscribers.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/show_forwards.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/show_login.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/show_mailinglist.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/show_moderators.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/show_subscribers.html
%attr(444,root,root)                     /usr/share/iwebadmin/html/show_users.html

#language files
%attr(444,root,root)                     /usr/share/iwebadmin/lang/bg
%attr(444,root,root)                     /usr/share/iwebadmin/lang/cs
%attr(444,root,root)                     /usr/share/iwebadmin/lang/da
%attr(444,root,root)                     /usr/share/iwebadmin/lang/de
%attr(444,root,root)                     /usr/share/iwebadmin/lang/en
%attr(444,root,root)                     /usr/share/iwebadmin/lang/es
%attr(444,root,root)                     /usr/share/iwebadmin/lang/fi
%attr(444,root,root)                     /usr/share/iwebadmin/lang/fr
%attr(444,root,root)                     /usr/share/iwebadmin/lang/hu
%attr(444,root,root)                     /usr/share/iwebadmin/lang/it
%attr(444,root,root)                     /usr/share/iwebadmin/lang/ja
%attr(444,root,root)                     /usr/share/iwebadmin/lang/lt
%attr(444,root,root)                     /usr/share/iwebadmin/lang/nl
%attr(444,root,root)                     /usr/share/iwebadmin/lang/no
%attr(444,root,root)                     /usr/share/iwebadmin/lang/pl
%attr(444,root,root)                     /usr/share/iwebadmin/lang/pt-br
%attr(444,root,root)                     /usr/share/iwebadmin/lang/ru
%attr(444,root,root)                     /usr/share/iwebadmin/lang/sk
%attr(444,root,root)                     /usr/share/iwebadmin/lang/sv
%attr(444,root,root)                     /usr/share/iwebadmin/lang/tr
%attr(444,root,root)                     /usr/share/iwebadmin/lang/zh-cn

#images
%attr(444,root,root)                     /var/www/html/images/iwebadmin/delete.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/disabled.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/lowerleft.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/lowermiddle.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/lowerright.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/main.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/middleleft1.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/middleleft2.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/middlelogin.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/middleright1.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/modify.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/pixel.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/radio-off.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/radio-on.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/trash.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/upperleft.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/uppermiddle1.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/uppermiddle2.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/upperright.png
%attr(444,root,root)                     /var/www/html/images/iwebadmin/iwebadmin-icon.png
%attr(644,root,root)                     /usr/share/doc/iwebadmin/README.md
%attr(644,root,root)                     /usr/share/doc/iwebadmin/AUTHORS
%attr(644,root,root)                     /usr/share/doc/iwebadmin/COPYING
%attr(644,root,root)                     /usr/share/doc/iwebadmin/README-hooks.md


%clean
%{__rm} -rf %{buildroot}

# fix changelog for openSUSE buildservice
%changelog
* Thu Sep 15 2022 12:37:54 +0000 Manvendra Bhangui <iwebadmin@indimail.org> 2.1.0-1.1%{?dist}
Release 2.1.0-1.1 Start 13/03/2021 End 08/09/2022
- Changes for making code github action, added workflow for CI
- compile without using mysql (removed mysql-devel from BuildRequires"
- PKGBUILD.in: Added missing variable definitions
- changed permissions for dirs with 555 to 755
- autoresponder.c: fixed missing new lines
- autoresponder.c, command.c: replace INDIMAILDIR with install time prefix
- configure.ac: replace INDIMAILDIR with install time prefix
- user.h: added prototype for migrate_vacation
- user.c: fixed dotqmail line for autoresponder
- user.c: Replaced INDIMAILDIR with install time prefix
- user.c: fixed reading of autoresponse message
- user.c: added migrate_vacation function to migrate from old style vacation
  to autoresponder
- iwebadmin.c: migrate vacation directory to autoresp
- lang/en: added codes for migration errors
- html/mod_user.html: renamed vacation to autoresp
- autoresponder.c: renamed vacation to autoresp, .vacation.msg to
  .autoresp.msg
- autorespond.c: reduced loc by removing duplicated code
- user.c: discontinue use of Reference for getting subject
- user.c, iwebadmin.c: new argument encrypt_flag to ipasswd()
- user.c: new argument scram to sql_setpw()
- configure.ac: added check for gsasl_mkpasswd in libindimail
- iwebadmin.c, user.c: use gsasl_mkpasswd to update SCRAM passwords
- iwebadminx.h: added variables b64salt, result, scram, iter_count
- iwebadmin.c: additional docram argument added to gsasl_mkpasswd
- user.c: additional docram argument added to gsasl_mkpasswd
- Added cram, scram checkboxes in modify user for setting passwords for
  CRAM, SCRAM authentication
- html/mod_user.html, html/add_user.html: removed redundant spamcheck code
- html/mod_user.html: added checkboxes for cram, scram
- iwebadmin.c: Log authentcation errors
- iwebadmin.c: added u_scram variable for scram checkbox
- template.c: activate cram, scram checkboxes
- user.c: activate cram, scram functionality
- added functionality to set passwords for cram, scram authentication
- iwebadmin.c: Extract encrypted password from SCRAM type passwords to
  fix authentication failure
- user.c: removed exit from multiple places to fix premature failure of
  scripts
